/*----------------------------- Scrollbar -----------------------------*/
/* width */
::-webkit-scrollbar {
    width: 10px;
    }
    
    /* Track */
    ::-webkit-scrollbar-track {
    background: white; 
    }
    
    /* Handle */
    ::-webkit-scrollbar-thumb {
    background: #e6e6e6;
    border: 2px solid white;
    border-radius: 3px;
    width: 5px;
    }
    
    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
    background: #555; 
    }

/*----------------------------- tag scope -----------------------------*/
body{
    margin: 0em;
    font-family: 'Open Sans Condensed', sans-serif;
}
ul{
    margin: 0;
}
header{
    display: flex;
    flex-direction: row;
    line-height: 1.2rem;
}
span > a {
    color: white;
}
li > a {
    outline: none;
    text-decoration: none;
    display: block;
    font-size: 3rem;
}

h3 {
    font-family: 'Times New Roman', Times, serif;
}

td{
    width: 50%;
}


/*----------------------------- specific classes -----------------------------*/
#container {
    margin-top: 5%;
    max-width: 80%;
    margin: auto;
}
.container{
    margin-top: 5%;
    max-width: 80%;
    margin: auto;
}
.form-table{
    width:80%; 
    line-height: 3rem;
    font-size: 1.3rem;
}
input.largerCheckbox { 
    transform : scale(1.5);
} 
.form-desc{
    width: 100%;
    height: 120px;
    resize: none;
}
.formframe{
    margin: auto;
    line-height: 3rem;
    background-color: rgb(0, 97, 207);
    color: white;
    width: 50%;
    height: 500px;
    border-radius: 5px;
    padding: 10%;
    background-image: url('../resources/toad.jpg') ;
    text-align: center;
    font-size: 2rem;
}
.contact{
    width: 650px;
    max-height: 200px;
    background-color: rgba(0, 0, 0, 0.15);
    padding: 1%;
    position: relative;
    top: -15vh;
    left: 30vw;
}
.contact > span{
    display: block;
    float: right;
    text-align: center;
    line-height: 3;
}
.mainAbout{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    width: 70%;
    margin: 5% auto;
    margin-bottom: 0;
    padding: 2%;
    text-align: justify;
    max-height: 66vh;
}
.about{
    max-width: 650px;
    background-color: rgba(0,0,0,.15);
    padding: 2%;
    margin-left: 9%;
}

.about > span {
    max-width: 50%;
    display: flex;
    padding-left: 10%;
    padding-top: 15%;
    font-size: 0.9rem;

}
.portrait{
    max-width: 35%;
    float: left;
}
.desc{
    margin: 0 2%;
    min-width: 25%;
    max-height: 500px;
    overflow: scroll;
    line-height: 1.5rem;
    overflow-x: hidden;
    font-family: 'Open Sans Condensed', sans-serif;
    font-size: 1.2rem;
}
.botLink{
    position: absolute;
    bottom: 10vh;
    right: 15vw;
    color: white;
    font-size: 1.5rem;
}
.signature{
    max-width: 26vw;
    margin-top: 2vh;
    margin-left: 3.5vw;
}
.coucou {
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    background-position-x: center;
}
.h-link-list {
    list-style-type: none;
    display: table;
    width: 90%;
    padding: 0;
    padding-left: 9%;
}
.h-link-listB {
    list-style-type: none;
    display: table;
    width: 90%;
    padding: 0;
    padding-left: 9%;
}
.h-li{
    display: table-cell;
    text-align: center;
}
.h-liB{
    display: table-cell;
    text-align: center;
}
.title {
    font-size: 1.5rem;
    margin: 5px;
    vertical-align: middle;
}
.header {
    text-align: justify;
    width: 95%;
    /* height: 15%; */
    margin: auto;
    /* padding: 2%; */
    overflow: hidden;
    line-height: 1.2rem;
}
.line-clamp {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}
.module {
    width: 270px;
    /* margin: 0 0 1em 0; */
    overflow: hidden;
}
.headerContainer {
    width: 60%;
    margin: 2% auto;    
}
.main {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    width: 75%;
    margin: 2% auto;
    padding: 2%;
    text-align: justify;
}
.mainSlider {
    display: flex;
    /* flex-wrap: wrap; */
    flex-direction: row;
    width: 90%;
    margin: 10% auto;
    padding: 2%;
    text-align: justify;
    margin-bottom: 0;
}
.mainSection{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    width: 60%;
    margin: 2% auto;
    text-align: justify;
}
.nowrap {
	line-height: 2rem;
	border: 1px solid #cecece;
    border-radius: 5px;
    width: 80%;
    margin: 2% auto;
    padding: 2%;
}
.serie{
    margin: auto;
    width: 300px;
    height: 280px;
    background-color: rgba(0, 0, 0, 0.08);
    margin-bottom: 2vh;
    margin-right: 2vw;
}
.list {
	display: flex;    
	flex-wrap: wrap;
    flex-direction: row;
    border: 1px solid #cecece;
    border-radius: 5px;
    width: 80%;
    margin: 2% auto;
    padding: 2%;
}
.serie-active{
    margin-bottom: 2%;
    width: 100%;
	border: 2px solid rgb(45, 187, 45);
	border-radius: 3px;
	display: inline-flex;
    place-content: space-between;
}
.serie-inactive{
    margin-bottom: 2%;
    width: 100%;
	border: 2px solid rgb(187, 45, 45);
	border-radius: 3px;
	display: inline-flex;
    place-content: space-between;
}
.miniform{
	margin: 5px;
}
.button{
    padding: 10px;
    font-size: 1.5rem;
    width:25%;
    text-align: center;
	border-radius: 3px;
	font-weight: 600;
	margin: 3px;
	text-decoration: none;
    box-shadow: 1px 1px 2px grey;
    color: white;
    border: 0;
}
.buttonDiv{
	width: 25%;
    text-align: center;
    border-radius: 3px;
    font-weight: 600;
    margin: 3px;
    text-decoration: none;
    box-shadow: 1px 1px 2px grey;
    color: white;
}
.buttons{
    display: flex;
    flex-direction: row;
}
.button > a {
	text-align: center;
	text-decoration: none;
	color: white;
	font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
.preview{
    width: 300px;
    height: 200px;
    overflow: hidden;
    color: rgba(255, 255, 255, 0);
}
.preview:hover{
    color: white;
}
.thumbzone{
	display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    /* border: 1px solid #cecece; */
    border-radius: 5px;
    width: 95%;
    margin: 2% auto;
    padding: 2%;
}
.thumbnail{
	width: 175px;
	height: 100px;
	border-radius: 2px;
	border: 1px solid #cecece;
	padding: 5px;
	margin: 5px;	
}
.thumbnailImg{	
    width: 100%;
    height: 100%;    
    object-fit: cover;
}
.previTit{
    float: left;
    position: relative;
    top: -110px;
    height: 0;
    width: 100%;
    text-align: center;
}
.thumbifiy{
    float: right;
    position: relative;
    top: -114px;
    right: -178px;
    color : rgb(1, 194, 1);
    cursor: pointer;
    background-color: rgba(0, 190, 0, 0);
    border-radius: 10px;

}
.miniMenu{
    width: 15px;
}
.description{
	height: 50px;
	width: 550px;
}
span > p {
    color: rgb(219, 0, 0);
	background-color: rgba(255, 113, 113, 0.685);
}

/*----------------------------- plugins classes -----------------------------*/

#dropzone {
    min-height: 150px;
    cursor: pointer;
    border: 2px dashed #0087F7;
    border-radius: 5px;
    background: white;
    padding: 54px 54px;
}
.swiper-slide {  
    max-width: fit-content;
    margin-right: 25px; 
}
.swiper-container { max-height: 50vh; }
.swiperImg{height: 500px;}
.fab{font-size: 3rem;}
/*----------------------------- general classes -----------------------------*/
.R{
    background-color: rgb(190, 0, 0);
}
.R:hover{
    background-color: rgb(145, 0, 0);
}
.Y{
    background-color: rgb(190, 190, 0);
}
.Y:hover{
	background-color: rgb(145, 145, 0);
}
.G{
    background-color: rgb(0, 190, 0);
}
.G:hover{
	background-color: rgb(0, 145, 0);
}
.mw-3{
    max-width: 3vw;
    vertical-align: bottom;
}
.bckg-w{
    background-color: hsla(0, 0%, 100%, 0.4);
}
.inputxt{
	background-color: white;
    border-radius: 2px;
    border: 1px solid grey;
    height: 1.5rem;
}
.ghost-li{
    width: 1vh;
}
.ff-nixie{
    font-family: 'Open Sans Condensed', sans-serif;
}
.fs-ml{
    font-size: 1.5rem;
}
.fs-l{
    font-size: 2.5rem;
    /* font-weight: 800; */
}
.p-2{
    padding: 5%;
}
.fa-times{
    color: red;
    border: 2px solid red;
}
.fa-home{
    color: rgb(0, 190, 0);
    border: 2px solid rgb(0, 190, 0);
}
.black{
    color: black;
}
.white{
    color: white;
}
.txt-right{
    text-align: right;
}
.mr-1{
    padding-right: 1vw;
}
/*for IE and EDGE *sick* */
@supports (-ms-ime-align:auto) {
    .swiper-slide {  
        max-width: 55%;
    }
    .desc{
        min-width:15%;
    }
}
/*for mozilla */
@-moz-document url-prefix() {
    .swiper-slide {  
        max-width: -moz-fit-content;
        /* ma!rgin-right: -90px; */
    }
    .desc{
        width: 100%;
    }
}
/* ----------------------for smartphones--------------------- */
@media only screen and (max-width: 769px) {
    header{
        display: block;
    }
    .signature{
        max-width: 100vw;
    margin: 2vh 0 15px 0;
    }
    .h-link-list {
        list-style-type: none;
        display: table;
        width: 90%;
        padding: 0;
        padding-left: 0;
        margin: auto;
        line-height: 6rem;
    }
    .h-li{
        display: inline;
    }
    .h-link-listB {
        list-style-type: none; 
        display: flex;    
        width: 100%;
        padding-left: 0;
        line-height: 4rem;
        justify-content: space-around;
    }  
    .fab{
        font-size: 1.5rem;
    }  
    .h-liB > a {
        font-size: 1rem;
    }
    .headerContainer {
        width: 100%;
        margin: auto;
    }
    .botLink {
        position: initial;
        color: white;
        font-size: .8rem;
        display: block;
        text-align: center;
    }
    .main {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        width: 100%;
        margin: 2% auto;
        padding: 0;
        text-align: justify;
    }
    .serie{
        margin-right: auto;
    }
    .desc{
        margin: 5% auto;
        max-height: 150px;
    }
    .mainSlider{
        display: block;
        margin: 2%;
    }
    .swiper-slide{
        margin: auto
    }   
    .swiper-button-next, .swiper-container-rtl .swiper-button-prev {
        top: 35vh;
        left: 50%;
        position: relative;
        transform: rotate(90deg);
    }
    .swiper-button-prev{
        position: relative;
        bottom: 0em;
        left: 50%;
        transform: rotate(90deg);
    }
    .swiper-container { 
        max-height: 50vh; 
    }
    .swiperImg{
        height: 210px;
    }
    .mainAbout {
        display: block;
        flex-wrap: nowrap;
        flex-direction: unset;
        width: 100%;
        margin: 3% auto;
        margin-bottom: 0;
        padding: 2%;
        text-align: justify;
    }
    .about{
        margin-left: 0;
        max-width: 92%;
    }
    .about > span {
        display: inline; 
        padding-left: 0; 
    }
    .portrait {
        margin-right: 3%;
    }
    .contact{
        max-width: 92%;        
        max-height: 100%;
        background-color: rgba(0, 0, 0, 0);
        padding: 1%;
        position: unset;
        /* top: -15vh; */
         /* left: 30vw; */
    }
}